> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/api/e-fatura-api/eski-faturalar/eski-faturalari-listeler.md).

# Eski Faturaları Listeler

## Eski faturaları listeler.

> Eski faturaları listelemek için bu ucu kullanabilirsiniz.> \
> \<br />> \
> \*\*Search\*\* parametresiyle liste içerisinde arama yapabilirsiniz.

```json
{"openapi":"3.0.1","info":{"title":"E-Invoice API","version":"v1"},"servers":[{"url":"/einvoice"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"SortType":{"enum":["ASC","DESC"],"type":"string"},"InvoiceProfile":{"enum":["TEMELFATURA","TICARIFATURA","IHRACAT","YOLCUBERABERFATURA","EARSIVFATURA","KAMU","HKS","ENERJI","ILAC_TIBBICIHAZ","OZELFATURA","YATIRIMTESVIK","IDIS"],"type":"string"},"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK","TEKNOLOJIDESTEK","YTBSATIS","YTBISTISNA","YTBIADE","YTBTEVKIFAT","YTBTEVKIFATIADE"],"type":"string"},"OldInvoiceResponsePagination":{"type":"object","properties":{"Page":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"TotalCount":{"type":"integer","format":"int32","nullable":true},"TotalPages":{"type":"integer","format":"int32","nullable":true,"readOnly":true},"Content":{"type":"array","items":{"$ref":"#/components/schemas/OldInvoiceResponse"},"nullable":true}},"additionalProperties":false},"OldInvoiceResponse":{"type":"object","properties":{"UUID":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"InvoiceNumber":{"type":"string","nullable":true},"InvoiceProfile":{"$ref":"#/components/schemas/InvoiceProfile"},"InvoiceType":{"$ref":"#/components/schemas/InvoiceType"},"IssueDate":{"type":"string","format":"date-time"},"CurrencyCode":{"type":"string","nullable":true},"PayableAmount":{"type":"number","format":"double"},"ReceiverName":{"type":"string","nullable":true},"ReceiverTaxNumber":{"type":"string","nullable":true},"IsPrint":{"type":"boolean","nullable":true},"IsSale":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/Old":{"get":{"tags":["Old"],"summary":"Eski faturaları listeler.","description":"Eski faturaları listelemek için bu ucu kullanabilirsiniz.\r\n<br />\r\n**Search** parametresiyle liste içerisinde arama yapabilirsiniz.","parameters":[{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Search","in":"query","schema":{"type":"string"}},{"name":"StartDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"SortColumn","in":"query","schema":{"type":"string"}},{"name":"SortType","in":"query","schema":{"$ref":"#/components/schemas/SortType"}},{"name":"InvoiceProfile","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceProfile"}}},{"name":"InvoiceType","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceType"}}},{"name":"IsPrint","in":"query","schema":{"type":"boolean"}},{"name":"IsSale","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Eski faturaları listeler.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OldInvoiceResponsePagination"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/einvoice/Old");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Old',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');
var config = {
  method: 'get',
  url: 'https://apitest.nilvera.com/einvoice/Old',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.nilvera.com/api/e-fatura-api/eski-faturalar/eski-faturalari-listeler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
